Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename d
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite, which has a dependency on
# this package

Name:		nodejs-d
Version:	1.0.0
Release:	alt1_8
Summary:	Property descriptor factory

License:	MIT
URL:		https://github.com/medikoo/d.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(es5-ext)
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif
Source44: import.info

%description
Property descriptor factory


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tad
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_8
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt0.1.njs.bootstrap
- bootstrap

